// #autoload
// #name = InvTaunt
// #date = April 20, 2003
// #author = Pace
// #email = Malmoid@hotmail.com
// #web = http://www.freewebs.com/pace
// #description = Starts playing taunt animations when you enter an inv and stop's when you exit. Basically to piss off impatient onlookers.
// #version = 1.0
// #include = support/callback.cs
// #include = support/weapon_list.cs

Callback.add(WeaponHudUpdated,InvTauntStart);

function InvTauntStart() {
    if (weaponList.atInvo && $InvTauntToggle) {
        InvTaunt();
    }
}

function InvTaunt() {
    if (loadout.getCurrentWeapon() $= "") {
        %tauntnumber = getRandom(1,6);
        commandToServer('CannedChat', $InvTaunt[%tauntnumber], false);
        schedule(500, 0, InvTaunt);
    }
}

function InvTauntToggle(%val) {
	if (%val) {
		$InvTauntToggle = !$InvTauntToggle;
        if ($InvTauntToggle)
			addMessageHudLine("\c1InvTaunt - \c3ON\c1.");
		else
			addMessageHudLine("\c1InvTaunt - \c3OFF\c1.");
	}
}

package InvTaunt {

function OptionsDlg::onWake( %this ) {
	if(!$InvTauntBind) {
		$RemapName[$RemapCount]="InvTaunt Toggle";
		$RemapCmd[$RemapCount]="InvTauntToggle";
		$RemapCount++;
		$InvTauntBind = true;
	}
	parent::onWake(%this);
}
};

activatePackage(InvTaunt);

$InvTauntToggle = true;
$InvTauntBind = false;
$InvTaunt[1] = 'ChatAnimGetSome';
$InvTaunt[2] = 'ChatAnimDance';
$InvTaunt[3] = 'ChatAnimSpec1';
$InvTaunt[4] = 'ChatAnimSpec2';
$InvTaunt[5] = 'ChatAnimSpec3';
$InvTaunt[6] = 'ChatAnimAnnoyed';
